Bug 831753 - php53-common should provides php-common
php53-common should provides php-common
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php53 (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Joe Orton
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 13:27 EDT by Remi Collet
Modified: 2012-09-20 08:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 08:36:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2012-06-13 13:27:34 EDT
Probably, a follower of bug #717158

# rpm -qp --provides php53-common-5.3.3-7.el5_8.x86_64.rpm 
config(php53-common) = 5.3.3-7.el5_8
curl.so()(64bit)  
fileinfo.so()(64bit)  
json.so()(64bit)  
phar.so()(64bit)  
php(api) = 20090626
php(zend-abi) = 20090626
php-api = 20090626
php-bz2  
php-calendar  
php-ctype  
php-curl  
php-date  
php-exif  
php-fileinfo  
php-ftp  
php-gettext  
php-gmp  
php-hash  
php-iconv  
php-json  
php-libxml  
php-openssl  
php-pcre  
php-pecl(Fileinfo) = 1.0.5-dev
php-pecl(json) = 1.2.1
php-pecl(phar) = 2.0.1
php-pecl(zip) = 1.9.1
php-pecl-Fileinfo = 1.0.5-dev
php-pecl-json = 1.2.1
php-pecl-phar = 2.0.1
php-pecl-zip = 1.9.1
php-reflection  
php-session  
php-shmop  
php-simplexml  
php-sockets  
php-spl  
php-tokenizer  
php-zend-abi = 20090626
php-zip  
php-zlib  
zip.so()(64bit)  
php53-common = 5.3.3-7.el5_8

All php-ext are provided, excepted php-common.

Most Libraries (pear package, ...) used to requires php-common (to check minimum version).

Also see https://fedorahosted.org/fpc/ticket/185 (PHP Guidelines change proposal)
Comment 1 Remi Collet 2012-09-20 08:36:08 EDT
As discussed and as new PHP Guidelines recommends to use the new php(language) virtual provide, this one to be forget.

Note You need to log in before you can comment on or make changes to this bug.